%global commit 7b0b5098e3e57be86bb96cfbf2b8902381eef57c
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           vim-gitgutter
Version:        20240908
Release:        1%{?dist}
Summary:        A Vim plugin which shows git diff markers in the sign column

License:        MIT
URL:            https://github.com/airblade/vim-gitgutter
Source0:        %{url}/archive/%{commit}/%{name}-%{version}-git%{shortcommit}.tar.gz

# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-gitgutter.metainfo.xml

Requires:       vim-common
Requires:       git-core

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
A Vim plugin which shows a git diff in the sign column. It shows which
lines have been added, modified, or removed. You can also preview, stage
and undo individual hunks; and stage partial hunks. The plugin also
provides a hunk text object.


%prep
%autosetup -n %{name}


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc README.mkd
%license LICENCE
%doc %{vimfiles_root}/doc/gitgutter.txt
%{vimfiles_root}/autoload/gitgutter
%{vimfiles_root}/autoload/gitgutter.vim
%{vimfiles_root}/plugin/gitgutter.vim
%{_metainfodir}/vim-gitgutter.metainfo.xml


%changelog
* Sun Sep 08 2024 Patrick Laimbock <patrick@laimbock.com> - 20240908-1
- update to git rev 7b0b5098e3e57be86bb96cfbf2b8902381eef57c

* Tue Jun 04 2024 Patrick Laimbock <patrick@laimbock.com> - 20240603-2
- require git-core

* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 20240603-1
- update to git rev e801371917e52805a4ceb1e93f55ed1fba712f82

* Mon Apr 17 2023 Patrick Laimbock <patrick@laimbock.com> - 20230417-1
- initial package
- based on git commit 44dbd57dd19e8ec58b2a50c787c8ae7bb231c145
